> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Restores the specified user's access to the workspace

POST https://api-d.docusign.com/v1/accounts/{accountId}/workspaces/{workspaceId}/users/{userId}/actions/restore-access

**Note:** This endpoint is in beta.

This operation restores the specified user's access to the workspace. The user must have been previously revoked from the workspace. The access is immediately restored.

[Required authentication scopes](/docs/workspaces-api/auth/): `dtr.rooms.write`

Reference: https://developers.docusign.com/docs/workspaces-api/reference/workspaces/workspaceusers/restoreworkspaceuseraccess

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account
- `workspaceId` (string, required) — The ID of the workspace to restore access
- `userId` (string, required) — The ID of the user to be restored to the workspace

## Response

### 204

The workspace user's access was successfully restored

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 401 Unauthorized Error

Not authorized to make this request

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error